214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Context / 48 of 75

Country holidays

GET/v1/holidays/{iso}

All public holidays for one country and year, national and regional.

On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
isorequiredstring
path
ISO 3166 two-letter country code
e.g. CL
yearoptionalinteger
query
Calendar year
e.g. 2026
Request
# One country's holidays by year
curl "https://api.tourismapi.com/v1/holidays/CL" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_866432f6c4",
        "data_as_of": "2026-10-20T04:48:18Z",
        "count": 17
    },
    "data": [
        {
            "country": "CL",
            "date": "2026-01-01",
            "name": "New Year's Day",
            "local_name": "Año Nuevo",
            "national": true
        },
        {
            "country": "CL",
            "date": "2026-04-03",
            "name": "Good Friday",
            "local_name": "Viernes Santo",
            "national": true
        },
        {
            "country": "CL",
            "date": "2026-04-04",
            "name": "Holy Saturday",
            "local_name": "Sábado Santo",
            "national": true
        }
    ]
}
Response fields
FieldTypeExample
countrystringCL
datestring2026-01-01
namestringNew Year's Day
local_namestringAño Nuevo
nationalbooleantrue